gtk.GenericCellRenderer
Prev | The gtk Class Reference | Next

## gtk.GenericCellRenderer

gtk.GenericCellRenderer — a TreeView cell renderer that helps create cell renderers in Python

## Synopsis

    class gtk.GenericCellRenderer(gtk.CellRenderer):
        gtk.GenericCellRenderer()

## Ancestry

    +-- gobject.GObject
      +-- gtk.Object
        +-- gtk.CellRenderer
          +-- gtk.GenericCellRenderer

## Description

The `gtk.GenericCellRenderer` helps in the creation of `gtk.TreeView` cell renderers in Python. The `gtk.GenericCellRenderer` is subclassed to provide a new cell renderer that provides cell renderer behavior using methods with predefined names that are called by the `gtk.GenericCellRenderer` methods as required to provide the various cell renderer operations. The methods that need to be defined by the programmer in Python are:

`def on_get_size(`widget`, `cell_area`)`
`def on_render(`window`, `widget`, `background_area`, `cell_area`, `expose_area`, `flags`)`
`def on_activate(`event`, `widget`, `path`, `background_area`, `cell_area`, `flags`)`
`def on_start_editing(`event`, `widget`, `path`, `background_area`, `cell_area`, `flags`)`

See the `gtk.CellRenderer` description for details of the above methods.

## Constructor

        gtk.GenericCellRenderer()

Returns : | a new `gtk.GenericCellRenderer` object

Creates a new `gtk.GenericCellRenderer`

Prev | Up | Next
gtk.GammaCurve | Home | gtk.GenericTreeModel